### Enumeration

# Xdp WallpaperFlags

unstable since: 1.0

#### Declaration

    flags Xdp.WallpaperFlags

#### Description [src]

The values of this enumeration determine where the wallpaper is being set.

Available since: 1.0

#### Members

`XDP_WALLPAPER_FLAG_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`XDP_WALLPAPER_FLAG_BACKGROUND`

  Set wallpaper on the desktop background.

  - Value: `1`
  - Nickname: `background`
  - Available since: 1.0
`XDP_WALLPAPER_FLAG_LOCKSCREEN`

  Set wallpaper on the lockscreen.

  - Value: `2`
  - Nickname: `lockscreen`
  - Available since: 1.0
`XDP_WALLPAPER_FLAG_PREVIEW`

  Request the preview to be shown.

  - Value: `4`
  - Nickname: `preview`
  - Available since: 1.0